@ECHO OFF
::-----------------------------------------------------------------------------
:: This updates CBD files in the unversioned 'shared/cbd' folder, which is
:: shared with the Vagrant-initialized helix-01 VM used for testing.

SET SourceDir=%CD%\..
SET TargetDir=%CD%\shared\cbd
SET TargetLibDir=%CD%\shared\lib

ECHO RD /S /Q %TargetDir%
RD /S /Q %TargetDir%

ECHO MKDIR %TARGETDIR%\scripts %TARGETDIR%\test %TARGETDIR%\triggers
MKDIR %TARGETDIR%\scripts %TARGETDIR%\test %TARGETDIR%\triggers

FOR %%F IN (Cbd.py CbdDev.py wssync.sh wssync.dev.sh wssync.py wssync.dev.py sbi.pl) DO (
   ECHO COPY %SourceDir%\scripts\%%F %TargetDir%\scripts\.
   COPY %SourceDir%\scripts\%%F %TargetDir%\scripts\.
)

FOR %%F IN (test_cbd.sh ti.sh auto_test_cbd_vagrant.sh auto_test_cbd.sh manual_test_env.sh) DO (
   ECHO COPY %SourceDir%\test\%%F %TargetDir%\test\.
   COPY %SourceDir%\test\%%F %TargetDir%\test\.
)

FOR %%F IN (SSTemplateUpdate.py WSTemplateUpdate.py) DO (
   ECHO COPY %SourceDir%\triggers\%%F %TargetDir%\triggers\.
   COPY %SourceDir%\triggers\%%F %TargetDir%\triggers\.
)

echo Updated CBD files in %TargetDir%

ROBOCOPY C:\pub\sdp\main\Server\Unix\p4\common\lib %TargetLibDir% /mir

echo Updated SDP Lib files in %TargetLibDir%


exit /B 0
